Artha API
  1. Card Operations
  • Introduction
  • Authentication
  • KYC/KYB Requirements
  • API Setup Guide
  • Card API Integration Flow
  • Customers
    • Create Customer
      POST
    • List Customers
      GET
    • Get Customer
      GET
    • Update Customer
      PATCH
  • Cards
    • Submit KYC/KYB Applicant
      POST
    • Get Applicant KYC Status
      GET
    • Resubmit KYC/KYB Applicant
      PUT
    • Issue Card
      POST
    • Cards List
      GET
    • Get Card
      GET
    • Get Sensitive Card Details
      GET
  • Card Operations
    • Activate Card
      POST
    • Freeze Card
      POST
    • Unfreeze Card
      POST
    • Cancel Card
      POST
    • Replace Card
      POST
    • Set / Reset Card PIN
      POST
    • Change Card PIN
      POST
    • Resend Physical Card Activation Code
      PUT
    • Get Set / Reset PIN Iframe URL
      GET
    • Get Change PIN Iframe URL
      GET
    • Get Card-View Iframe URL
      GET
    • Get Card Limits
      GET
    • Update Card Limits
      POST
  • Funding
    • Top Up Card
    • Get Top-Up Status
    • Get Card Balance
    • List Top-Up History
  • Transactions
    • List All Transactions
    • List Card Transactions
    • List Customer Transactions
    • Get Transaction
  • Products
    • List Products
    • Get Product
  • Utilities
    • Upload Documents
  • Webhook's
    • Webhooks
  1. Card Operations

Resend Physical Card Activation Code

PUT
/baseurl/api/v1/cards/physical/{cardId}/resendcode
Resends the activation code for a physical card (e.g. the cardholder never received it). No request body.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢202
application/json
Activation code resent successfully.
Bodyapplication/json

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/baseurl/api/v1/cards/physical//resendcode' \
--header 'X-API-Key;' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'X-Nonce;' \
--header 'X-Body-Hash;' \
--header 'Content-Type: application/json' \
--data '{}'
Response Response Example
{
    "cardId": "ef0c9071-f1d5-4782-996c-db9b45c47a29",
    "customerId": "49cf2793-9379-4d1b-9904-5b77aaa5693c",
    "productId": "999a47bf-5c73-4a93-9827-0182f075355d",
    "cardType": "Physical",
    "action": "resendcode",
    "status": "WaitingToActivate",
    "message": "Activation code resent successfully.",
    "taskId": "task_123456789"
}
Modified at 2026-07-03 13:14:51
Previous
Change Card PIN
Next
Get Set / Reset PIN Iframe URL
Built with